commit 56211a5feb13158447c930c8de2b713a9256c1be
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Jul 29 18:07:49 2026 +0200

    Updates for release

commit 00536af8034c2507b680c7a6cc48d152d67c24e4
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Jul 25 23:07:51 2026 +0200

    wayland: Set layer-shell namespace
    
    Related: https://gitlab.xfce.org/xfce/xfwl4/-/merge_requests/1#note_121254
    (cherry picked from commit b5b4f927d55b5b9d1eacf583de1759d54bca0bbd)

commit 517fca47a79c2c5e363f1e836e9b318f93d53f43
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Jul 25 17:01:37 2026 +0200

    wayland: Restart panel when gtk-layer-shell is in unrecoverable state
    
    That seems to be the only thing to do, hoping that the workaround
    involving the boolean around the unmap signal doesn't cause unexpected
    restarts. At least it will be limited to Wayland.
    
    Related: 16f715b3b82cc57dadd54e1eef4894ae298dee13
    Related: https://github.com/wmww/gtk-layer-shell/issues/227
    (cherry picked from commit 568aab5198ff07bfa2e50587a5f017f55c723418)

commit 94c3f3a97cfc5f4e2a7e4273eb43a848d5338acb
Author: Anonymous <noreply@xfce.org>
Date:   Sat Jul 25 12:56:56 2026 +0200

    I18n: Update translation ca (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 80695af3defd27bd81981f9600120b10f4327310
Author: Anonymous <noreply@xfce.org>
Date:   Sat Jul 25 01:00:41 2026 +0200

    I18n: Update translation ka (81%).
    
    405 translated messages, 90 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 3bec09c18df161b0f9a1bbf805ea2e9d2cbc7a60
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Jul 23 09:07:01 2026 +0200

    Use XfwMonitor to match monitor by name
    
    It's no longer possible to use GdkMonitor for this on Wayland in
    general, since wlroots decided to stop announcing the monitor model.
    Moreover, XfwScreen/XfwMonitor will have primary monitor support on
    Wayland with xfwl4.
    
    Related: https://github.com/labwc/labwc/issues/3651
    Related: https://gitlab.freedesktop.org/wlroots/wlroots/-/merge_requests/5045
    (cherry picked from commit 0d587ca56bb961759080016153606e3642036d72)

commit 6bc6afaae110c0a166be4125e3ada7d5c1a8eed3
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Jul 23 13:28:38 2026 +0200

    Refactor XfwScreen management a bit
    
    (cherry picked from commit 7cb1b3ca0c683e4bdaf354056007b8f33be668b7)

commit b46ecb5d4888bd51684d2e1dc9e61c202d4ad6d5
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Jul 23 16:24:31 2026 +0200

    clock: Deduce update interval from date and time formats
    
    The field normally reserved for the date can be used on its own for a
    format that includes both the date and the time, and in general, there
    is nothing to prevent it from containing a seconds indicator even if the
    field reserved for the time does not.
    
    Fixes: #989
    (cherry picked from commit d99937835fe7557c8614d509b724ed4b4f3d0ce7)

commit aeb24357c9bcdb6a52b7a7837772d54cee517553
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Jul 21 18:18:54 2026 +0200

    Fix autotools build
    
    Fixes: 88b8bf02a418abbf48922527957df8e61af21fb7

commit 88b8bf02a418abbf48922527957df8e61af21fb7
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Jul 21 17:38:32 2026 +0200

    Set translation domain for plugins
    
    Fixes: #988
    (cherry picked from commit d9a10bddfc305cb8f4b36b0d653bc65fde482987)

commit 40ac4266902634f2b7e791b1074fdc6ebb98d45d
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Jul 4 13:24:29 2026 +0200

    Remove G_GNUC_CONST (complement)

commit 3f5f9aac7679f3b77cf78fcad32564ee378d6865
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Jul 4 12:28:48 2026 +0200

    Remove G_GNUC_CONST
    
    Related: xfce/libxfce4ui#149
    (cherry picked from commit 805861aa52ef5c21aef0796a689e41a2ea0ecde4)

commit 811aeec0e3f488f929139f623bb1ea48391718a6
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Jun 30 11:30:53 2026 +0200

    libxfce4panel: Do not emit signals if construct() has not been called
    
    This check is not necessary for external plugins, because they are
    loaded only when their socket is realized, but internal plugins do not
    follow this logic. This avoid various criticals/segfaults on wayland,
    when the panel is hidden at startup (because its monitor is
    disconnected).
    
    (cherry picked from commit 18f3342144069fba8e9f42b70de4c6c524be3f22)

commit e9daaa8161d4a58bd31ba8eb1fb4855f33d71bb5
Author: Anonymous <noreply@xfce.org>
Date:   Mon Jun 15 00:54:05 2026 +0200

    I18n: Update translation az (97%).
    
    481 translated messages, 14 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 6f54c336052479b912485b0c902df6598bbe961e
Author: Anonymous <noreply@xfce.org>
Date:   Sun Jun 14 12:54:32 2026 +0200

    I18n: Update translation az (86%).
    
    430 translated messages, 65 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 127831891e862b2041c5df00c8f2540438d60588
Author: Anonymous <noreply@xfce.org>
Date:   Fri Jun 12 00:54:54 2026 +0200

    I18n: Update po/LINGUAS list

commit ae68107c75223154c352f38c5a353a51390b867f
Author: Anonymous <noreply@xfce.org>
Date:   Fri Jun 12 00:54:52 2026 +0200

    I18n: Add new translation az (58%).
    
    288 translated messages, 207 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5cdeda6c7615c43916c27a05ca099495e7f798b7
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Jun 8 10:04:11 2026 +0200

    Fix -Wdiscarded-qualifiers compiler warning for autotools builds

commit 61e1652706bc88e8dc4f31385f3c54b738edb327
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Jun 8 09:42:47 2026 +0200

    build: Replace wrong define guard with libxfce4ui version check
    
    Related: 3ac941fc083fee5e56b0f3e509d6f6b461b48e39
    Related: #986

commit a35c00be6ac8644d969a3f1c665d699b40f449fd
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun May 3 15:38:08 2026 +0200

    panel: Use same code to cleanup plugin config everywhere
    
    (cherry picked from commit a9609a56da6992af4f69a6c9bea2dfa01faa2249)

commit 2d4adf34641caf66d5f8fca2e06d910af9ace9cc
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Apr 29 14:47:08 2026 +0200

    icons: Fix non-zero page opacity
    
    Fixes: #980
    (cherry picked from commit e74a9573bd7a6278f7ee8bf524b72ce60886226a)

commit 5057a6e71828077ec487a6da966389b13c514e60
Author: Anonymous <noreply@xfce.org>
Date:   Fri Apr 24 00:58:56 2026 +0200

    I18n: Update translation el (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1e2441ca33edde81cc75c053e4bb7208117ef419
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Apr 22 21:16:08 2026 +0200

    panel: Set itembar clip when allocating window
    
    Completes: !124
    (cherry picked from commit d770a81d96d6af3bd7e9d67a7c38f29e297241bd)

commit e254aeb07495fe8613964d5b0edd5011a6a7ed23
Author: Anonymous <noreply@xfce.org>
Date:   Wed Apr 22 01:01:57 2026 +0200

    I18n: Update po/LINGUAS list

commit d0923b9cb171f79e53e00b2092ad214230041e63
Author: Anonymous <noreply@xfce.org>
Date:   Wed Apr 22 01:01:56 2026 +0200

    I18n: Add new translation lo (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 215c6e92d2e5373c2836368e1af62d99539b2abc
Author: Anonymous <noreply@xfce.org>
Date:   Thu Apr 16 00:54:29 2026 +0200

    I18n: Update translation it (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5f78a416619e29729ab6a12ffd9e94a632e0ac71
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Apr 12 17:04:52 2026 +0200

    actions: Fix variable used out of scope
    
    Fixes: #976
    (cherry picked from commit c0852ccb1a5bcf81b231fddc88a05ed34b5cdf0a)

commit b1ee84233c70a88b5b7e105c8613618d681ca2e2
Author: Erik-Jan Post <ej.lfs@xs4all.nl>
Date:   Wed Apr 8 10:39:22 2026 +0000

    pager: Fix workspace switch for Compiz when scrolling over pager
    
    Fixes: #975
    (cherry picked from commit 14c20ecb44b9c39a51ad6a977be569b22ae8634d)

commit a36bae23c43790e29526964bd242780df402f2f3
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Mar 16 16:31:23 2026 +0100

    build: Do not display full path in generated headers
    
    (cherry picked from commit 61f40b65637695abe9d9e2f80ca99d3c076c96e8)

commit 33c81223572513fd2343bf00b2a8b30a5e91394c
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Mar 2 11:06:49 2026 +0100

    Back to development

commit f4e21b14a389fa6b7cc4fd756cb92e0a822ed3e5
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Mar 2 10:53:21 2026 +0100

    Updates for release

commit 796f7cf457f829c6c561b6d7a8d048de7cce11f5
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Feb 20 18:10:47 2026 +0100

    tasklist: Destroy group menu item if window is closed
    
    Fixes: #971
    (cherry picked from commit 3fd181fd532ed7a4f277595019b11f3837f59fad)

commit 7cb081d057be97ba103305327bec599ad1a98e99
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Jan 28 10:42:11 2026 +0100

    panel: Make non-GObject internal plugins resident
    
    This seems to be the proper way to run these plugins in-process.
    
    (cherry picked from commit f3158265814b196f87fa9981bdc4c74a29478e94)

commit fe13b29db0fc1c0c9227ffa20f86dc9db2ce9d32
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Jan 28 10:10:45 2026 +0100

    Revert "plugins: Do not use g_intern_static_string"
    
    This reverts commit e772d4b4989bbab3d1892f0392f84bac712038ae.
    
    Actually not necessary for these plugins that use
    XFCE_PANEL_DEFINE_PLUGIN, and I'm going to make other internal plugins
    resident to avoid these static allocation issues.
    
    (cherry picked from commit 110cb1c654108b98735b48c661387453928a64ed)

commit abb845b58690ba13fb4168d1fb00e5a050493979
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Jan 28 00:00:25 2026 +0100

    panel: Do not fall through when internal plugin failed to load
    
    This makes check func in XFCE_PANEL_PLUGIN_REGISTER_WITH_CHECK check
    twice, so typically a user dialog show twice, and it also causes
    g_type_module_unuse() to be called twice, hence a critical warning.
    If a plugin failed to load as internal, it should be set external by
    regular means.
    
    (cherry picked from commit effe93848569df0b8cf0c4b6d3404e7375171970)

commit c83f7da4c433a539a1a99e684dc81b3c0bea65ed
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Jan 27 23:18:09 2026 +0100

    wayland: panel: Track set_anchor_default source id
    
    This can cause critical warning when deleting a panel.
    
    Amends: 16f715b3b82cc57dadd54e1eef4894ae298dee13
    (cherry picked from commit 2a3e8db2ae3ca5124bb12514630e5c65947dec17)

commit 7aba3e7a96b5fd1f07213ae08ad5b6a4f5445666
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Jan 27 16:20:57 2026 +0100

    plugins: Do not use g_intern_static_string
    
    If plugin is run as internal and is removed, these interned strings
    become invalid for the whole panel, while they could be used by other
    object signals.
    
    (cherry picked from commit e772d4b4989bbab3d1892f0392f84bac712038ae)

commit edd1bf1d5a891ef691f02722e22d444902f2393a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Jan 27 09:50:30 2026 +0100

    panel: Fix wrong memory management
    
    Fixes: bf69d537db38769977767a7f982fb164c15d11ac
    (cherry picked from commit 054b3f174be83ab04cf2be1d6fb2dd79caddab5b)

commit 2ff59e4d6f17616060aba6dc2bbbde2d9d0e7065
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jan 25 23:52:58 2026 +0100

    panel: Be sure to set plugin properties when appropriate
    
    Fixes: #967
    (cherry picked from commit 1485e63e4e229c4a18023b8720d159634f458a7b)

commit 6f9fecae486ef241d4e50201de4d9ede0f5a2f76
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Jan 26 18:15:03 2026 +0100

    Set application name so internal plugins can't override it
    
    (cherry picked from commit 92a73afef4aef850bc416d8c575ce93b136c4e97)

commit 878f1d0dfc514c0dbcca84d1d5ac0f412023a601
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jan 25 19:18:42 2026 +0100

    plugins: Reset workspace group when needed
    
    Fixes: 9c829ae45981274c26436268dd373ba97847ef44
    Closes: #966
    (cherry picked from commit 29d1ea798f6e51ea12989b3637d43482543a3aef)

commit 71e963780b30f95c9d50c9c708e3cca1184a25cd
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jan 25 18:30:38 2026 +0100

    wayland: Guard layer-shell related code also at runtime
    
    Fixes: 16f715b3b82cc57dadd54e1eef4894ae298dee13
    Closes: #965
    (cherry picked from commit c59391cabd1634718e91363a2215df20735a77eb)

commit fbf42721ecbc249793d962feb0934e3541928b79
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Jan 16 19:17:11 2026 +0100

    wayland: Review screen layout change management
    
    This minimizes the use of delayed code when handling
    GdkScreen::{monitors-changed,size-changed} signals, in particular by
    hiding the panel before calling gtk_layer_set_monitor(), to avoid any
    remapping internal to gtk-layer-shell. Only the final gtk_widget_show()
    cannot currently (gtk-layer-shell 0.10.0) be performed in this signal
    handler without causing an infinite loop or protocol errors.
    
    Not all compositors necessarily produce the same errors in the same
    place in the code, and it also depends on whether or not they add a fake
    output when changing tty. For example, the set_anchor_id check is only
    necessary on wayfire 0.10.0 (#962), not on labwc 0.9.3 (#940). But
    overall, this seems to fix pretty much all the problems encountered so
    far.
    
    Fixes: #962
    Related: #940, https://github.com/wmww/gtk-layer-shell/issues/217
    Amends: d2fb4e093588d3322f1c54ae2fc9e4e6d6471aab
    (cherry picked from commit 16f715b3b82cc57dadd54e1eef4894ae298dee13)

commit e72ab7465e2ced2da297defaa1d5f5a2c79801c9
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Jan 21 19:07:16 2026 +0100

    common: Only remap widget if visible
    
    (cherry picked from commit b3f557af76e049ce45c07d8e8f125ef11bddc735)

commit c27ac82a2652d26a18994ffa47e28c9fb9f750a3
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jan 18 23:26:29 2026 +0100

    wayland: autohide: Fix autohide of floating panel
    
    This caused protocol error or flickering when panel was between two
    monitors, and therefore considered as floating.
    
    (cherry picked from commit 040ac3b3df687edf6a14643162f7ff04ed5260d2)

commit cfc964494bdb006db47335e3bf96e2bddf1174ee
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Jan 8 20:13:26 2026 +0100

    wayland: Handle null workspace group list when a group is destroyed
    
    Fixes: 9c829ae45981274c26436268dd373ba97847ef44
    Closes: #963
    (cherry picked from commit 41abfb0b1f9929c905297d05f0ff1a2e3449b59e)

commit bf348a988ed0c97f4d8332ac9b7fb64430c2ce96
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Jul 28 14:15:00 2025 +0200

    wayland: panel: Delay hiding panel window when screen layout changes
    
    I strongly suspect the protocol error in #940 is related to internal
    tinkering with gtk-layer-shell, unless it's coming from gtk, in any case
    there doesn't seem to be any other solution at our level.
    
    Fixes: #940
    (cherry picked from commit d2fb4e093588d3322f1c54ae2fc9e4e6d6471aab)

commit b822a23684d925671dc7a33d61bc41a9d85f4faa
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Dec 29 17:44:49 2025 +0100

    Back to development

commit 686840c0b5b2d3df4ca0a6dbbf9edbbc3143ddea
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Dec 29 17:30:53 2025 +0100

    Updates for release

commit a408e76f679126ab69fc6c74d783ed3f44beda9b
Author: Anonymous <noreply@xfce.org>
Date:   Mon Dec 15 00:54:52 2025 +0100

    I18n: Update translation vi (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7d41e5cc91e11b7e841779852a5bc8df27d07fb5
Author: Anonymous <noreply@xfce.org>
Date:   Sun Dec 14 12:56:24 2025 +0100

    I18n: Update translation vi (90%).
    
    447 translated messages, 48 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit cad2e1bf7eaf8d222a62ab41936974cf14a6812e
Author: Dmitry Petrachkov <dmitry-petrachkov@outlook.com>
Date:   Sat Dec 13 19:22:40 2025 +0300

    arrow-fix: Restoring the button size after the arrow disappears
    
    (cherry picked from commit aa2ec9b1f8bc052c7ea2fd42edd9e2c5ffbd24a5)

commit 1bf891a7dbe1d3539b56ef47abc8cf2ad8539ce7
Author: Anonymous <noreply@xfce.org>
Date:   Sat Dec 13 00:58:46 2025 +0100

    I18n: Update translation vi (90%).
    
    446 translated messages, 49 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 6620424b493c75388db33a6aa8bd0c2a4cd7bbb4
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Dec 9 09:54:08 2025 +0100

    build: Fix typo in optimization level
    
    So --buildtype=minsize is properly handled as an optimized build.
    
    (cherry picked from commit 5fc8ea280363d3f134fbc3381459442165ba8e56)

commit b9e8e8f6b059296677aabd512c1827c916817a2d
Author: Anonymous <noreply@xfce.org>
Date:   Sun Nov 23 00:51:37 2025 +0100

    I18n: Update translation sl (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 895f7a51f174690f4a1659db67728c740aebf1aa
Author: Anonymous <noreply@xfce.org>
Date:   Sun Nov 16 12:53:21 2025 +0100

    I18n: Update translation th (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1ad4bf4b4016c087723fbda292be51d78394a4d9
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 10 00:52:42 2025 +0100

    I18n: Update translation fr (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 240166710a2191973acc3910838ba191c7c92b21
Author: Anonymous <noreply@xfce.org>
Date:   Tue Nov 4 12:53:40 2025 +0100

    I18n: Update translation ca (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit cbd45f6e54ec8b537dd4eae32a1173767b338604
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Nov 2 07:34:19 2025 +0100

    wayland: Set plugins internal unless forced external
    
    Running external plugins on their own layer-shell surface poses
    unsolvable stacking problems. All plugins maintained by Xfce now run
    correctly on Wayland (or exit cleanly), so it is no longer necessary to
    use this run mode by default. It may be reinstated if libwlembed reaches
    a stable version in the future, but for now it is not on the agenda.
    
    (cherry picked from commit c2307d00d6fd4536a6feda403ea05c31fee80582)

commit b5f0cb1b3c7c72c35cd76b67d8cfd15e0f991755
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Oct 13 10:20:00 2025 +0200

    prefs-dialog: Reset add/remove buttons sensitivity when needed
    
    Fixes: e8b0e24bc5a60634ce12a7927f112291fb7c745d
    (cherry picked from commit 6e17423e4ed110f2b99cf8defa7978597b25825f)

commit 8507e537c4396a07dc9faae8af19229f16c57d64
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Oct 6 10:46:06 2025 +0200

    wayland: Minimalist management of workspace group change when unused
    
    Fixes: 1538d8b72bf7127cc299ac4d2e5f264c22d1896f
    Related: xfce/libxfce4windowing#53
    (cherry picked from commit 9c829ae45981274c26436268dd373ba97847ef44)

commit a335b9f647c065419dc637ed7a04b96568956a4a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Oct 6 08:25:04 2025 +0200

    pager: Add missing signal handler disconnections
    
    Fixes: 1538d8b72bf7127cc299ac4d2e5f264c22d1896f
    Related: xfce/libxfce4windowing#53
    (cherry picked from commit fbfc09bb8074085b40be9bdc35bcb977cd2b8c73)

commit eac33104ea94f48f5db7aaa5199a625c0b94f477
Author: Anonymous <noreply@xfce.org>
Date:   Fri Sep 5 00:58:29 2025 +0200

    I18n: Update translation tt (97%).
    
    485 translated messages, 10 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 9affd50645b0f6c14ae6bfb1524b1fdc5f7f666d
Author: Anonymous <noreply@xfce.org>
Date:   Tue Sep 2 00:52:33 2025 +0200

    I18n: Update po/LINGUAS list

commit 231da374a87a5e7dc1a98e6d0d67e6cbb7079ea2
Author: Anonymous <noreply@xfce.org>
Date:   Tue Sep 2 00:52:32 2025 +0200

    I18n: Add new translation tt (97%).
    
    483 translated messages, 12 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit c093aecfba7a896d28af00543525fbb855cb0dd4
Author: Anonymous <noreply@xfce.org>
Date:   Fri Aug 29 00:47:49 2025 +0200

    I18n: Update translation ko (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4b71b8bf30a52c22233e6f04e5774252e7fa5d2a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Aug 21 12:20:27 2025 +0200

    libxfce4panel: Clarify doc
    
    Fixes: #947
    (cherry picked from commit 0ae674cb17ed8d1df4522da69360da2f95c1dc79)

commit a5a7faf31be6fb76cb006d1d2ebd8e2f5270fa7f
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Aug 14 09:29:49 2025 +0200

    Back to development

commit 6174691ee6272b72172383800799455b3c5bccf0
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Aug 14 09:11:42 2025 +0200

    Updates for release

commit 0802fd5d0c88023009f7d9c1cab4cac460a7648b
Author: Anonymous <noreply@xfce.org>
Date:   Thu Jul 31 00:48:17 2025 +0200

    I18n: Update translation pl (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 758cd8e5bd35815fe146211963d8a8b9a81b715d
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jul 27 18:00:15 2025 +0200

    wayland: panel: Ensure panel window is shown at least once
    
    Including when it's autohidden at startup.
    
    Amends: 35dca5621adac0a55069f9fd8245623cb233bc54
    (cherry picked from commit 2441efb9a92afd6ef1e0a2e0f0a0e8394239511a)

commit 2bfde552b6bcc8f66e3c9210e68d00441a9a92a9
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Jul 26 14:11:00 2025 +0200

    panel: Don't show panel window too early
    
    That pretty much reverts 8583e16d8 with ace49302, for the reason added
    in comments in the code. On wayland in particular, showing the window
    while it's assigned to a disconnected output triggers critical warnings.
    
    (cherry picked from commit 35dca5621adac0a55069f9fd8245623cb233bc54)

commit ffa32fe830f5d362b844bc39e80fbf60f18d2045
Author: Anonymous <noreply@xfce.org>
Date:   Sat Jul 26 12:47:51 2025 +0200

    I18n: Update translation el (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a590054efe7c06e996ef118c7cfe91fcf6db74ee
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Jul 22 14:59:13 2025 +0200

    panel: Restrict X-XFCE-Unique=SCREEN to X11
    
    i.e. where it makes sense. If a plugin should be unique on wayland for
    whatever reason, it should use X-XFCE-Unique=TRUE instead.
    
    Related: #939
    (cherry picked from commit db2e5299e107ce067e114cd66499b9f9b74cb9fb)

commit 5f35000fa8725928c0885d1c6cbd73199f275226
Author: Anonymous <noreply@xfce.org>
Date:   Sat Jul 19 00:48:02 2025 +0200

    I18n: Update translation pl (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1b8f9f21b3df92ad19ab7aa239ecf95f6fa8de36
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Jul 18 16:12:20 2025 +0200

    Fix string comparison when searching for plugin dirs
    
    A '/' at the end of a path prevented the addition of a valid directory,
    and as the comparison via g_strcmp0() was also reversed, the main
    directory $prefix/share was not added if it was specified as
    $prefix/share/.
    
    Fixes: 894c6d9f2804092333c0134cebdf293cfefe98a0
    Related: https://bbs.archlinux.org/viewtopic.php?id=306991
    (cherry picked from commit bf69d537db38769977767a7f982fb164c15d11ac)

commit 28f7d2d5cd23474bef1341a700bb9af497cc5094
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Jul 11 23:07:18 2025 +0200

    wayland: Support multiple workspace groups where it makes sense
    
    Related: https://github.com/YaLTeR/niri/pull/1800
    (cherry picked from commit 1538d8b72bf7127cc299ac4d2e5f264c22d1896f)

commit f0e82e9d835db1ddce7899e377fb894707dbd86d
Author: Anonymous <noreply@xfce.org>
Date:   Sat Jul 12 00:47:56 2025 +0200

    I18n: Update translation pl (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 531e9623f4dbe6a85bc7ae27ba393686b0017acb
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Jul 8 23:10:23 2025 +0200

    tasklist: Deactivate context menu when its button is destroyed
    
    Fixes: #935
    (cherry picked from commit 4fbb3ed6da7a8f17fbc83d939e4ccfa1fcc90a49)

commit 60ebd624aa81216508c8d31a818d123179daca01
Author: Anonymous <noreply@xfce.org>
Date:   Sun Jun 8 12:48:40 2025 +0200

    I18n: Update translation ar (93%).
    
    465 translated messages, 30 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 26e22442823fd51cb8424e87035b396c5494ab94
Author: Anonymous <noreply@xfce.org>
Date:   Sat May 31 12:48:24 2025 +0200

    I18n: Update translation ar (83%).
    
    413 translated messages, 82 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a06db2cb814aea51222c22922c4571464094869c
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed May 21 17:28:32 2025 +0200

    x11: Let GtkSocket expand if possible
    
    This should better match the old behavior, when there was no GtkBox, but
    ultimately it may be necessary to set the plugin as internal for it to
    expand properly.
    
    Related: https://forum.xfce.org/viewtopic.php?id=18575
    Related: https://gitlab.xfce.org/xfce/xfce4-panel/-/issues/176
    (cherry picked from commit b7f9bb461e9d27235fcd548107c50e57f4aba27b)

commit 53dcae9fe9415489cf8dcf278240bc4954f75705
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Apr 29 10:03:39 2025 +0200

    libxfce4panel: Restore possibility to oversize icons
    
    Amends: 4e80a9bbe0898130fcc966267992c9394e4d18a2
    Closes: #926
    (cherry picked from commit 8bb0b09984f169717ea1e9f1dc79052d50a67eb3)

commit abe4f46edcf085df4e80b9a1a63ce5c842d7efcb
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Apr 25 16:25:20 2025 +0200

    wayland: autohide: Try to trigger size_allocate() more reliably
    
    It seems to me that it worked like that "before", i.e. probably with a
    previous version of wlroots. I guess this isn't the last time I'll have
    to tinker with this, but I'd really like to try not to remap the panel
    anyway.
    
    Amends: ee22684ba748706c39440d897c78e0fcde813fb4
    (cherry picked from commit ae77bc8c0c1e9a7374b3268bbad682e7c2a6819e)

commit e2451cacd950f4b7539efd1e5e36b067515dba9b
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Apr 25 16:19:49 2025 +0200

    panel: Show window when new output is connected
    
    Closes: #925
    Fixes: 8583e16d89d70ce6ee8d2492d56f7ecf9f10575e
    (cherry picked from commit ace49302d03e22fa2e87e08a8e0019c581433271)

commit 048505815251fa3bfa02f34adf5a695d9bb52b30
Author: Anonymous <noreply@xfce.org>
Date:   Tue Apr 15 12:47:43 2025 +0200

    I18n: Update translation ka (63%).
    
    312 translated messages, 183 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1ba70556b2eb274bffefb251c8e8da3de8cdf272
Author: Anonymous <noreply@xfce.org>
Date:   Tue Apr 1 00:47:38 2025 +0200

    I18n: Update translation sv (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 63bf3571f2e79f818ea91ca396061c16b3a9bcf2
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Mar 23 09:21:08 2025 +0100

    Back to development

commit b7a604d9ddccb469194329b2f987424ba2ede53b
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Mar 23 09:04:53 2025 +0100

    Updates for release

commit 4f8c54c4ab7807bf7dc616d52af3f2795fa1e5ef
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Mar 22 07:44:08 2025 +0100

    meson-build: Revert glib version change
    
    Fixes: 01642cbaa17e60d5d161912546ed9dc605e9a06d

commit 01642cbaa17e60d5d161912546ed9dc605e9a06d
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Mar 17 09:26:09 2025 +0100

    build: Define xfce4 min version >= 4.18
    
    (cherry picked from commit fd946006a58ee147eda909cf21d2098b629f4002)

commit 23ae4169a4ac0ca7afecde5170a2d529428b5a3d
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Mar 20 12:53:10 2025 +0100

    build: Search for xdt-gen-visibility also in the working tree
    
    In anticipation of its copying by xfce-do-release when generating
    tarballs, so as not to need xfce4-dev-tools to build them. Meson takes
    care of all this, from searching the working tree to adding to the
    tarball.
    
    (cherry picked from commit 219c1d790dd37497372df221acaf57c6ba47b271)

commit c5f9b4d7f972a74ccced42d1cc8d36a6b7208de0
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Mar 20 11:46:44 2025 +0100

    build: Replace xdt-csource with glib-compile-resources
    
    And get rid of maintainer mode.
    
    (cherry picked from commit 43f1f6c3b59d97c25486202aa7976bbe3da192be)

commit f85e09c2de1374255fcaad5c2ba10bd69b4f0eab
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Mar 17 09:44:36 2025 +0100

    build: Fix wrong macro for min version

commit f6134e17657ac496ba15be7c034f3a76570b24fa
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Mar 16 12:59:23 2025 +0100

    panel: Show window in panel_application_new_window()
    
    Instead of showing it if it hasn't already been done in
    panel_window_screen_layout_changed(), which is very odd and
    inappropriate. In particular, this avoids unintentionally showing a
    panel hidden by autohide on wayland, when display settings change.
    
    (cherry picked from commit 8583e16d89d70ce6ee8d2492d56f7ecf9f10575e)

commit bf496cdceceed3b40b2954505190477312a1c5c4
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Mar 15 22:04:53 2025 +0100

    wayland: autohide: Mitigate lack of size_allocate()
    
    This should fix most cases where the autohide starts without having been
    correctly initialized, due to gtk_widget_queue_resize() failing to
    trigger size_allocate(). Progressive movement of the panel should then
    trigger size_allocate(), otherwise the only remaining solution is to
    remap the panel, but this has too many side-effects.
    
    (cherry picked from commit 8afd331e597697144332f1d7593ba8440610db84)

commit 83f862a52b71577e0db8da5a86ac9a6391e98e91
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Mar 13 18:27:28 2025 +0100

    systray: Use correct gtk functions to show/hide items
    
    Fixes: #921
    (cherry picked from commit b790db0519f2cc7c2236b41f48c27045fd4f2103)

commit 3a107102f27c03ac1b5ec19e200e02d2b918f68a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Mar 13 17:29:17 2025 +0100

    wayland: Set exclusive zone for autohide window
    
    Otherwise it can be moved, and possibly end up off-screen, if another
    panel is anchored to an opposing edge with a positive exclusive zone.
    
    Fixes: #920
    (cherry picked from commit 68e8e361c25f819c877b015c1ec1ebaf7d533da9)

commit d1a2266e34f57bb968403a79a7a9ecf009b003c2
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Mar 11 18:57:39 2025 +0100

    build: Remove libxfce4panel-config.h from GI
    
    This creates unsolvable conflicts with other libs whose identifier
    prefix is Xfce, since check_version is associated with this prefix
    several times.
    
    Related: https://gitlab.xfce.org/panel-plugins/xfce4-notes-plugin/-/merge_requests/25#note_103386
    (cherry picked from commit 87cb59805cda418c20a535cf5dafc5c1f92c7c85)

commit aa9bd2bbc558b6c035769b28e9a7f117b4f407be
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Mar 4 16:44:23 2025 +0100

    meson-build: Add missing check for sys/prctl.h
    
    (cherry picked from commit 929421ecc60a44ab829906744e1b1eb1a9ec18e7)

commit eb19a9a177f39f48e6b4a4cf674f5da27691e1df
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 4 12:48:15 2025 +0100

    I18n: Update translation id (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 3c5b39f74195ef444c15039a431c0122271191e9
Author: Gaël Bonithon <gael@xfce.org>
[--snip--]
